X2Go Bug report logs - #1124
FTBFS on non-Linux platforms

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 9 Dec 2016 13:45:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.2

Fixed in version 4.0.5.3

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#1124: X2Go issue (in src:x2goclient) has been marked as pending for release
Reply-To: Mihai Moldovan <ionic@ionic.de>, 1124-quiet@bugs.x2go.org
Resent-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
X-Loop: owner@bugs.x2go.org
Resent-Date: Fri, 09 Dec 2016 19:25:05 +0000
Resent-Message-ID: <handler.1124.U1124.148131129620081@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 1124
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: pending
Received: via spool by 1124-submitter@bugs.x2go.org id=U1124.148131129620081
          (code U ref 1124); Fri, 09 Dec 2016 19:25:05 +0000
Received: (at 1124-submitter) by bugs.x2go.org; 9 Dec 2016 19:21:36 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=3.0 tests=ALL_TRUSTED,BAYES_00,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id B550C3CC4D;
	Fri,  9 Dec 2016 20:21:27 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 7RMCYFqM0zdB; Fri,  9 Dec 2016 20:21:21 +0100 (CET)
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id F10AC3CC48; Fri,  9 Dec 2016 20:21:20 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 1124-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1124@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20161209192120.F10AC3CC48@ymir.das-netzwerkteam.de>
Date: Fri,  9 Dec 2016 20:21:20 +0100 (CET)
tag #1124 pending
fixed #1124 4.0.5.3
thanks

Hello,

X2Go issue #1124 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=9494117

The issue will most likely be fixed in src:x2goclient (4.0.5.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 94941175cd5c89bf4b27f1635cb05e2b01b1b67e
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Fri Dec 9 20:18:41 2016 +0100

    src/sharewidget.cpp: fix compile on UNIX-like platforms by defaulting to ISO-8859-1 not just on Linux but also other platforms. Fixes:#1124.

diff --git a/debian/changelog b/debian/changelog
index 4ad9a49..9c0c954 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,8 @@ x2goclient (4.0.5.3-0x2go1) UNRELEASED; urgency=medium
       printSshDError_noHostPubKey ().
     - src/sshmasterconnection.cpp: add SecurID prompt to challenge auth code
       prompts.
+    - src/sharewidget.cpp: fix compile on UNIX-like platforms by defaulting to
+      ISO-8859-1 not just on Linux but also other platforms. Fixes: #1124.
 
   [ Bernard Cafarelli ]
   * New upstream version (4.0.5.3):

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Sep 23 17:09:31 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.